kdsoap-ws-discovery-client: WSDiscoveryClient Class Reference

kdsoap-ws-discovery-client 0.3.0

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | List of all members
WSDiscoveryClient Class Reference

WSDiscoveryClient is a low-level helper for sending and receiving WS-Discovery messages. More...

`#include <wsdiscoveryclient.h>`

Inheritance diagram for WSDiscoveryClient:

## Public Slots
void | start (quint16 port=0)
void | sendProbe (const QList< KDQName > &typeList, const QList< QUrl > &scopeList)
void | sendResolve (const QString &endpointReference)

## Signals
void | probeMatchReceived (const WSDiscoveryTargetService &probeMatchService)
void | resolveMatchReceived (const WSDiscoveryTargetService &probeMatchService)

## Public Member Functions
| WSDiscoveryClient (QObject *parent=nullptr)

## Detailed Description

WSDiscoveryClient is a low-level helper for sending and receiving WS-Discovery messages.

start() will bind to the network and start receveing messages. When a message is received, it will trigger the signals probeMatchReceived() and resolveMatchReceived(). You can send messages using sendProbe() and sendResolve().

See also
  WSDiscoveryProbeJob for a more high level interface

## Constructor & Destructor Documentation

## ◆ WSDiscoveryClient()

WSDiscoveryClient::WSDiscoveryClient | ( | QObject * | parent = `nullptr` | ) |
| explicit

Create a WSDiscoveryClient

Parameters

  parent | The QObject parent

## Member Function Documentation

## ◆ probeMatchReceived

void WSDiscoveryClient::probeMatchReceived | ( | const WSDiscoveryTargetService & | probeMatchService | ) |
| signal

Emitted when a WS-Discovery probe match message is received. When a single message is reveived with multiple matches, then multiple signals are emitted.

Parameters

  probeMatchService | The service as described in the match

## ◆ resolveMatchReceived

void WSDiscoveryClient::resolveMatchReceived | ( | const WSDiscoveryTargetService & | probeMatchService | ) |
| signal

Emitted when a WS-Discovery resolve match message is received.

Parameters

  probeMatchService | The service as described in the match

## ◆ sendProbe

void WSDiscoveryClient::sendProbe | ( | const QList< KDQName > & | typeList,
|  | const QList< QUrl > & | scopeList
| ) |  |
| slot

Send a WS-Discovery probe message. This will cause all devices in the network that match to `typeList` and `scopeList` to send a probeMatch back.

Parameters

  typeList | List of types that a device should match
  scopeList | List of scoped that a device should match

## ◆ sendResolve

void WSDiscoveryClient::sendResolve | ( | const QString & | endpointReference | ) |
| slot

Send a WS-Discovery resolve message. This will cause a specific device in the network to send a resolveMatch back.

Parameters

  endpointReference | The identifier of the device of interest

## ◆ start

void WSDiscoveryClient::start | ( | quint16 | port = `0` | ) |
| slot

Bind to the WS-Discovery network ports. After binding messages will be received. It binds on both IPv4 and IPv6.

Parameters

  port | the port to bind or 0 to pick a random port

The documentation for this class was generated from the following file:

- src/wsdiscoveryclient.h